###################################################
### chunk number 1: load
###################################################
#line 60 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(RFLPtools)


###################################################
### chunk number 2: eucl
###################################################
#line 67 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
data(RFLPdata)
res <- RFLPdist(RFLPdata)
names(res) ## number of bands
str(res$"6")


###################################################
### chunk number 3: other
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
res1 <- RFLPdist(RFLPdata, distfun = function(x) dist(x, method = "manhattan"))
res2 <- RFLPdist(RFLPdata, distfun = function(x) dist(x, method = "maximum"))
str(res[[1]])
str(res1[[1]])
str(res2[[1]])


###################################################
### chunk number 4: cor
###################################################
#line 82 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(MKmisc)
res3 <- RFLPdist(RFLPdata, distfun = corDist)
str(res3$"9")


###################################################
### chunk number 5: hclust
###################################################
#line 89 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
par(mfrow = c(2,2))
plot(hclust(res[[1]]), main = "Euclidean distance")
plot(hclust(res1[[1]]), main = "Manhattan distance")
plot(hclust(res2[[1]]), main = "Maximum distance")
plot(hclust(res3[[1]]), main = "Pearson correlation distance")


###################################################
### chunk number 6: cutree
###################################################
#line 98 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
clust4bd <- hclust(res[[2]])
cgroups50 <- cutree(clust4bd, h=50)
cgroups50


###################################################
### chunk number 7: sim1
###################################################
#line 105 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(RColorBrewer)
library(MKmisc)
myCol <- colorRampPalette(brewer.pal(8, "RdYlGn"))(128)
ord <- order.dendrogram(as.dendrogram(hclust(res[[1]])))
temp <- as.matrix(res[[1]])
simPlot(temp[ord,ord], col = rev(myCol), minVal = 0, 
        labels = colnames(temp), title = "(Dis-)Similarity Plot")


###################################################
### chunk number 8: sim2
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(lattice)
print(levelplot(temp[ord,ord], col.regions = rev(myCol),
          at = do.breaks(c(0, max(temp)), 128),
          xlab = "", ylab = "",
          ## Rotate labels of x-axis
          scales = list(x = list(rot = 90)),
          main = "(Dis-)Similarity Plot"))


###################################################
### chunk number 9: sim3
###################################################
#line 126 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
## Euclidean distance
data(RFLPdata)
data(RFLPref)
nrBands(RFLPdata)
res0 <- RFLPdist2(RFLPdata, nrBands = 9, nrMissing = 0)
res1 <- RFLPdist2(RFLPdata, nrBands = 9, nrMissing = 1)
res2 <- RFLPdist2(RFLPdata, nrBands = 9, nrMissing = 2)
res3 <- RFLPdist2(RFLPdata, nrBands = 9, nrMissing = 3)


###################################################
### chunk number 10: sim4
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
## hierarchical clustering
par(mfrow = c(2,2))
plot(hclust(res0), main = "0 bands missing")
plot(hclust(res1), main = "1 band missing")
plot(hclust(res2), main = "2 bands missing")
plot(hclust(res3), main = "3 bands missing")


###################################################
### chunk number 11: RFLPplot
###################################################
#line 146 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
par(mfrow = c(1,2))
plot(hclust(RFLPdist(RFLPdata, nrBands = 3)), cex = 0.7)
RFLPplot(RFLPdata, nrBands = 3, mar.bottom = 6, cex.axis = 0.8)


###################################################
### chunk number 12: RFLPrefplot
###################################################
#line 153 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
RFLPrefplot(RFLPdata, RFLPref, nrBands = 9, cex.axis = 0.8)


###################################################
### chunk number 13: read.blast
###################################################
#line 163 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
Dir <- system.file("extdata", package = "RFLPtools") # input directory 
filename <- file.path(Dir, "BLASTexample.txt")
BLAST1 <- read.blast(file = filename)
str(BLAST1)


###################################################
### chunk number 14: blast
###################################################
#line 170 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
data(BLASTdata)


###################################################
### chunk number 15: simMatrix eval=FALSE
###################################################
## #line 190 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
## res <- simMatrix(BLASTdata)


###################################################
### chunk number 16: blast1
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
res1 <- simMatrix(BLASTdata, sequence.range = TRUE, Min = 100, Max = 450)
res2 <- simMatrix(BLASTdata, sequence.range = TRUE, Min = 500)


###################################################
### chunk number 17: blast2
###################################################
#line 200 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(MKmisc)
simPlot(res2, col = myCol, minVal = 0, cex.axis = 0.5,
        labels = colnames(res2), title = "(Dis-)Similarity Plot")


###################################################
### chunk number 18: blast3
###################################################
#line 207 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
library(lattice)
txt <- trellis.par.get("add.text")
txt$cex <- 0.5
trellis.par.set("add.text" = txt)
myCol <- colorRampPalette(brewer.pal(8, "RdYlGn"))(128)


###################################################
### chunk number 19: blast31
###################################################
#line 214 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
print(levelplot(res2, col.regions = myCol,
          at = do.breaks(c(0, max(res2)), 128),
          xlab = "", ylab = "", 
          ## Rotate labels of x axis
          scales = list(x = list(rot = 90)),
          main = "(Dis-)Similarity Plot"))


###################################################
### chunk number 20: blast4
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
res.d <- sim2dist(res2)


###################################################
### chunk number 21: blast5
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/RFLPtools/inst/doc/RFLPtools.Rnw"
## hierarchical clustering
plot(hclust(res.d), cex = 0.7)


